How to downgrade WordPress from 3.1 to 3.0.5

How to downgrade WordPress from 3.1 to 3.0.5

Why I have to downgrade the WordPress ?
Because some of the plugin maybe not compatible the newest version of the WordPress.
We may need to wait the author of the plugin owner to upgrade or
Some of the plugin has been moved to Commercial Plugin and no more free.

Like now, I face the problem for the WPML, after 2.0.1.4 version, it will become a commercial version, and a lot of error appear like in the previous post.

WPML 2.0.4.1 is not support for WordPress 3.1

So, I make the dicision to downgrade the WordPress from 3.1 to 3.0.5.

I’m using the way to downgrade.
[adrotate banner=”2″]
1. Backup all your database and export to your local computer.
2. Backup all your wordpress files from the home directory in the WordPress, included wp-admin, wp-content, wp-included.
3. Download WordPress 3.0.5 from here to your local computer.
[adrotate banner=”1″]
4. Extract the wordpress-3.0.5.zip
5. Upload wordpress-3.0.5 and overwrite using FTP Client ( I’m using FileZilla because it is free and fast. )
6. Choose overwrite all the files.
7. Run yourwebsite.com/wp-admin/
8. Upgrade database, then Done !

After you see this screen, your WordPress can be use in the older version, 3.0.5.

1 thought on “How to downgrade WordPress from 3.1 to 3.0.5”

  1. Pingback: WPML 2.0.4.1 is not support for Wordpress 3.1 « Justin.my

Leave a Comment

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.